Bug 53686 - Web Inspector: remove settings related methods from InspectorClient
: Web Inspector: remove settings related methods from InspectorClient
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated)
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To: Yury Semikhatsky
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-03 09:30 PST by Yury Semikhatsky
Modified: 2011-07-20 09:10 PDT (History)
11 users (show)

See Also:


Attachments
Patch (39.78 KB, patch)
2011-02-03 09:37 PST, Yury Semikhatsky
pfeldman: review+
Details | Formatted Diff | Diff
Patch (40.81 KB, patch)
2011-02-04 00:39 PST, Yury Semikhatsky
no flags Details | Formatted Diff | Diff
Patch that I'm going to land (39.57 KB, patch)
2011-02-04 01:55 PST, Yury Semikhatsky
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yury Semikhatsky 2011-02-03 09:30:55 PST
Web Inspector: remove settings related methods from InspectorClient. All settings are now stored on the front-end side. Port-specific stuff should go into WebKit layer.
Comment 1 Yury Semikhatsky 2011-02-03 09:37:46 PST
Created attachment 81069 [details]
Patch
Comment 2 Pavel Feldman 2011-02-03 09:41:44 PST
Comment on attachment 81069 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=81069&action=review

> Source/WebKit/gtk/WebCoreSupport/InspectorClientGtk.cpp:68
> +        if (inspectorSettingName == "resourceTrackingEnabled")

Nuke this?

> Source/WebKit/gtk/WebCoreSupport/InspectorClientGtk.cpp:71
> +        if (inspectorSettingName == "xhrMonitor")

Nuke this?

> Source/WebKit/gtk/WebCoreSupport/InspectorClientGtk.cpp:74
> +        if (inspectorSettingName == "frontendSettings")

Nuke this?

> Source/WebKit/gtk/WebCoreSupport/InspectorClientGtk.cpp:77
> +        if (inspectorSettingName == "debuggerEnabled")

Nuke this?

> Source/WebKit/gtk/WebCoreSupport/InspectorClientGtk.cpp:80
> +        if (inspectorSettingName == "profilerEnabled")

Nuke this?

> Source/WebKit/gtk/WebCoreSupport/InspectorClientGtk.cpp:113
> +        if (key == "resourceTrackingEnabled" || key == "xhrMonitor"

nuke this?

> Source/WebKit/gtk/WebCoreSupport/InspectorClientGtk.cpp:133
> +        if (key == "resourceTrackingEnabled" || key == "xhrMonitor"

nuke this?
Comment 3 Ilya Tikhonovsky 2011-02-03 22:42:37 PST
Comment on attachment 81069 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=81069&action=review

>> Source/WebKit/gtk/WebCoreSupport/InspectorClientGtk.cpp:133
>> +        if (key == "resourceTrackingEnabled" || key == "xhrMonitor"
> 
> nuke this?

I agree. Please keep platform specific code as simple as possible.




too many platform specific code.
Only storeSetting/populateSetting should be platform specific.
I think it should be r-.
Comment 4 Yury Semikhatsky 2011-02-04 00:39:04 PST
Created attachment 81195 [details]
Patch

Patch addressing all review comments(both by loislo and pfeldman)
Comment 5 Yury Semikhatsky 2011-02-04 01:55:04 PST
Created attachment 81198 [details]
Patch that I'm going to land
Comment 6 Yury Semikhatsky 2011-02-04 03:34:46 PST
Committed r77617: <http://trac.webkit.org/changeset/77617>
Comment 7 Gustavo Noronha (kov) 2011-07-20 07:51:28 PDT
(In reply to comment #2)
> (From update of attachment 81069 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=81069&action=review
> 
> > Source/WebKit/gtk/WebCoreSupport/InspectorClientGtk.cpp:68
> > +        if (inspectorSettingName == "resourceTrackingEnabled")
> 
> Nuke this?

Why did you guys do these changes to our Inspector Client? You broke our functionality for no good reason, it seems? Why didn't you just move the code instead of breaking it?
Comment 8 Gustavo Noronha (kov) 2011-07-20 09:10:27 PDT
Can you restore our code to how it was before, just moved to its new home, please? =)